#include <bits/stdc++.h>
using namespace std;
int n;
long double zarada[100005],procenat[100005];
int main(){
cin>>n;
for(int i=1;i<=n;i++){
    cin>>zarada[i]>>procenat[i];
}
long double profit[100005];
for(int k=1;k<=n;k=k+0){
    profit[k]=0;
    for(int i=1;i<=n;i++){
        if(procenat[k]<procenat[i] or procenat[k]==procenat[i]){
          profit[k] = (profit[k]+zarada[i])*procenat[k]/100;
          cout<<profit[k]<<endl;
        }
      if(i==n) k++;
    }
}
long double maxi=profit[1];
for(int i=1;i<=n;i++){
    if(maxi<profit[i]){
        maxi=profit[i];
    }
}
cout<<maxi;




return 0;
}